---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_affinity_group Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtaffinitygroup resource creates affinity groups in oVirt.
---

# ovirt_affinity_group (Resource)

The ovirt_affinity_group resource creates affinity groups in oVirt.

## Example Usage

```terraform
resource "ovirt_affinity_group" "test" {
  name       = "test"
  enforcing  = true
  cluster_id = var.cluster_id

  hosts_rule {
    affinity  = "negative"
    enforcing = true
  }
  vms_rule {
    affinity  = "negative"
    enforcing = true
  }
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `cluster_id` (String) ID of the cluster to use for affinity group creation.
- `name` (String) The name of the affinity group

### Optional

- `description` (String) The description of the affinity group
- `enforcing` (Boolean) If set to true, VMs will fail to start if the affinity group cannot be observed.
- `hosts_rule` (Block Set, Max: 1) (see [below for nested schema](#nestedblock--hosts_rule))
- `priority` (Number) Order in which the affinity group should be applied.
- `vms_rule` (Block Set, Max: 1) (see [below for nested schema](#nestedblock--vms_rule))

### Read-Only

- `id` (String) The ID of this resource.

<a id="nestedblock--hosts_rule"></a>
### Nested Schema for `hosts_rule`

Optional:

- `affinity` (String) Positive or negative affinity.
- `enforcing` (Boolean) If set to true VMs will fail to start if they cannot observe this affintiy group.


<a id="nestedblock--vms_rule"></a>
### Nested Schema for `vms_rule`

Optional:

- `affinity` (String) Positive or negative affinity.
- `enforcing` (Boolean) If set to true VMs will fail to start if they cannot observe this affintiy group.


