---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_disk Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirt_disk resource creates disks in oVirt.
---

# ovirt_disk (Resource)

The ovirt_disk resource creates disks in oVirt.

## Example Usage

```terraform
resource "ovirt_disk" "test" {
  storage_domain_id = var.storage_domain_id
  format           = "raw"
  size             = 1048576
  alias            = "test"
  sparse           = true
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `format` (String) Format for the disk. One of: `cow`, `raw`
- `size` (Number) Disk size in bytes.
- `storage_domain_id` (String) ID of the storage domain to use for disk creation.

### Optional

- `alias` (String) Human-readable alias for the disk.
- `sparse` (Boolean) Use sparse provisioning for disk.

### Read-Only

- `id` (String) The ID of this resource.
- `status` (String) Status of the disk. One of: `down`, `image_locked`, `migrating`, `not_responding`, `paused`, `powering_down`, `powering_up`, `reboot_in_progress`, `restoring_state`, `saving_state`, `suspended`, `unassigned`, `unknown`, `up`, `wait_for_launch`.
- `total_size` (Number) Size of the actual image size on the disk in bytes.

## Import

Import is supported using the following syntax:

```shell
# Import a disk using the ID from the oVirt Engine.
terraform import ovirt_disk.test 3b940b57-d3a5-448e-9bb3-0d73b76fbb08
```
