---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_disk_from_image Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtdiskfrom_image resource creates disks in oVirt from a local image file.
---

# ovirt_disk_from_image (Resource)

The ovirt_disk_from_image resource creates disks in oVirt from a local image file.

## Example Usage

```terraform
resource "ovirt_disk_from_image" "test" {
  storage_domain_id = var.storage_domain_id
  format           = "raw"
  alias            = "test"
  sparse           = true
  source_file      = "./testimage/image"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `format` (String) Format for the disk. One of: `cow`, `raw`
- `source_file` (String) Path to the local file to upload as the disk image.
- `storage_domain_id` (String) ID of the storage domain to use for disk creation.

### Optional

- `alias` (String) Human-readable alias for the disk.
- `sparse` (Boolean) Use sparse provisioning for disk.

### Read-Only

- `id` (String) The ID of this resource.
- `size` (Number) Disk size in bytes.
- `status` (String) Status of the disk. One of: `down`, `image_locked`, `migrating`, `not_responding`, `paused`, `powering_down`, `powering_up`, `reboot_in_progress`, `restoring_state`, `saving_state`, `suspended`, `unassigned`, `unknown`, `up`, `wait_for_launch`.
- `total_size` (Number) Size of the actual image size on the disk in bytes.


