---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_disk_resize Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtdiskresize resource resizes disks in oVirt to the specified size.
  ~> Only use this resource with disks created from templates. Otherwise, two terraform resources will handle the same disk resource.
---

# ovirt_disk_resize (Resource)

The ovirt_disk_resize resource resizes disks in oVirt to the specified size. 
		
~> Only use this resource with disks created from templates. Otherwise, two terraform resources will handle the same disk resource.

## Example Usage

```terraform
# this data-source requires a VM created in another configuration and referenced here
data "ovirt_disk_attachments" "templated" {
  vm_id = var.vm_id
}

resource "ovirt_disk_resize" "resized" {
  # looping through all the disk attachments
  # using the attachment id (a.id) as key and the disk id (a.disk_id) as value
  for_each = {for a in data.ovirt_disk_attachments.templated.attachments: a.id => a.disk_id}

  disk_id = "${each.value}"
  size = 2*1048576
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `disk_id` (String) ID of the disk to resize.
- `size` (Number) Disk size in bytes.

### Read-Only

- `id` (String) The ID of this resource.


