---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_nic Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirt_nic resource creates network interfaces in oVirt.
---

# ovirt_nic (Resource)

The ovirt_nic resource creates network interfaces in oVirt.

## Example Usage

```terraform
data "ovirt_blank_template" "blank" {
}

resource "ovirt_vm" "test" {
  name        = random_string.vm_name.result
  comment     = "Hello world!"
  cluster_id  = var.cluster_id
  template_id = data.ovirt_blank_template.blank.id
}

resource "ovirt_nic" "test" {
  name            = "eth0"
  vm_id           = ovirt_vm.test.id
  vnic_profile_id = var.vnic_profile_id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) Human-readable name for the NIC.
- `vm_id` (String) ID of the VM to attach this NIC to.
- `vnic_profile_id` (String) ID of the VNIC profile to associate with this NIC.

### Read-Only

- `id` (String) The ID of this resource.

## Import

Import is supported using the following syntax:

```shell
# Import a NIC using the VM ID and NIC ID from the oVirt Engine.
terraform import ovirt_nic.test 3b940b57-d3a5-448e-9bb3-0d73b76fbb08/7f7f43a8-7fc9-439e-96a0-2cb1737f9234
```
