---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_tag Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirt_tag resource creates tags for virtual machines to use.
---

# ovirt_tag (Resource)

The ovirt_tag resource creates tags for virtual machines to use.

## Example Usage

```terraform
data "ovirt_blank_template" "blank" {
}

resource "ovirt_tag" "test" {
  name = random_string.tag_name.result
}

resource "ovirt_vm" "test" {
  name        = random_string.vm_name.result
  comment     = "Hello world!"
  cluster_id  = var.cluster_id
  template_id = data.ovirt_blank_template.blank.id
}

resource "ovirt_vm_tag" "test" {
  tag_id = ovirt_tag.test.id
  vm_id  = ovirt_vm.test.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) Name for the tag.

### Optional

- `description` (String) Description for the tag.

### Read-Only

- `id` (String) The ID of this resource.


