---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_template Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirt_template resource manages templates for virtual machines in oVirt.
---

# ovirt_template (Resource)

The ovirt_template resource manages templates for virtual machines in oVirt.

## Example Usage

```terraform
data "ovirt_blank_template" "blank" {
}

resource "ovirt_vm" "test" {
  name        = random_string.vm_name.result
  comment     = "Hello world!"
  cluster_id  = var.cluster_id
  template_id = data.ovirt_blank_template.blank.id
}

resource "ovirt_template" "blueprint" {
  vm_id = ovirt_vm.test.id
  name  = "blueprint1"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) User-provided name for the template. Must only consist of lower- and uppercase letters, numbers, dash, underscore and dot.
- `vm_id` (String) oVirt ID of the VM the template is based on.

### Optional

- `description` (String) User-provided description for the template.

### Read-Only

- `id` (String) oVirt ID of this template.


