---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_vm_affinity_group Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtvmaffinity_group resource assigns VMs to affinity groups in oVirt.
---

# ovirt_vm_affinity_group (Resource)

The ovirt_vm_affinity_group resource assigns VMs to affinity groups in oVirt.

## Example Usage

```terraform
resource "ovirt_affinity_group" "ag1" {
  name       = "affinity_group_1"
  enforcing  = true
  cluster_id = var.cluster_id

  hosts_rule {
    affinity  = "negative"
    enforcing = true
  }
  vms_rule {
    affinity  = "negative"
    enforcing = true
  }
}

data "ovirt_blank_template" "blank" {}

resource "ovirt_vm" "vm1" {
  cluster_id  = var.cluster_id
  template_id = data.ovirt_blank_template.blank.id
  name        = "vm_1"
}

resource "ovirt_vm_affinity_group" "vm1_to_ag1" {
  cluster_id = var.cluster_id
  vm_id = ovirt_vm.vm1.id
  affinity_group_id = ovirt_affinity_group.ag1.id

  depends_on = [ovirt_vm.vm1, ovirt_affinity_group.ag1]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `affinity_group_id` (String) ID of the oVirt affinity group to assign the VM to.
- `cluster_id` (String) ID of the oVirt cluster the VM is in.
- `vm_id` (String) ID of the oVirt VM to assign to the affinity group.

### Read-Only

- `id` (String) The ID of this resource.


