---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_vm_graphics_consoles Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtvmgraphics_consoles controls all the graphic consoles of a VM.
---

# ovirt_vm_graphics_consoles (Resource)

The ovirt_vm_graphics_consoles controls all the graphic consoles of a VM.

## Example Usage

```terraform
data "ovirt_blank_template" "blank" {
}

resource "ovirt_vm" "test" {
  name        = "hello_world"
  comment     = "Hello world!"
  cluster_id  = var.cluster_id
  template_id = data.ovirt_blank_template.blank.id
}

# This will remove all graphics consoles from the specified VM. Adding graphics consoles is currently not supported.
resource "ovirt_vm_graphics_consoles" "test" {
  vm_id = ovirt_vm.test.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `vm_id` (String) oVirt ID of the VM to be started.

### Read-Only

- `console` (Block Set) The list of consoles that should be on this VM. If a console is not in this list it will be removed from the VM. (see [below for nested schema](#nestedblock--console))
- `id` (String) oVirt ID of the VM to be started.

<a id="nestedblock--console"></a>
### Nested Schema for `console`

Read-Only:

- `id` (String) UUID of the graphics console.


