---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "ovirt_vm_optimize_cpu_settings Resource - terraform-provider-ovirt"
subcategory: ""
description: |-
  The ovirtvmoptimizecpusettings sets the CPU settings to automatically optimized for the specified VM.
---

# ovirt_vm_optimize_cpu_settings (Resource)

The ovirt_vm_optimize_cpu_settings sets the CPU settings to automatically optimized for the specified VM.

## Example Usage

```terraform
data "ovirt_blank_template" "blank" {
}

data "ovirt_cluster_hosts" "list" {
  cluster_id = var.cluster_id
}

output "attachment_set" {
  value = data.ovirt_cluster_hosts.list
}

resource "ovirt_vm" "test" {
  name                      = "hello_world"
  comment                   = "Hello world!"
  cluster_id                = var.cluster_id
  template_id               = data.ovirt_blank_template.blank.id
  placement_policy_host_ids = data.ovirt_cluster_hosts.list.hosts.*.id
  placement_policy_affinity = "migratable"
}

resource "ovirt_vm_optimize_cpu_settings" "test" {
  vm_id = ovirt_vm.test.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `vm_id` (String) oVirt ID of the VM to be optimized.

### Read-Only

- `id` (String) oVirt ID of the VM to be started.


